> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get inventories

> Retrieves a paginated list of inventories by network, and at different locations.



## OpenAPI

````yaml oms_v2_combined get /inventory
openapi: 3.0.1
info:
  title: Orders v2 (OMS v2)
  description: >-
    fabric's OMS v2 APIs are high performance endpoints are built on highly
    scalable architecture, and include a configurable data model to orchestrate
    the order fulfillment process. These APIs let merchants create order
    records, initiate post-order process workflows and manage order related data
    such as, invoicing, tracking, returns, exchange, cancellation, appeasements,
    backorders, shipment and other use cases.
  termsOfService: https://fabric.inc/terms-of-use
  contact:
    email: support@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
  version: 2.0.0
servers:
  - url: https://prod01.oms.fabric.inc/api/v2
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Allocation
    description: Endpoints to perform allocation operations
  - name: Appeasement
    description: >-
      Appeasement refers to a goodwill credit applied to a fulfilled order when
      customer faces difficulties for an order, for example late delivery,
      received damaged product, and like wise.  This endpoint help in creating
      appeasement for customer orders.
  - name: Package Tracking
    description: Package Tracking endpoint helps in performing package tracking operations
  - name: Payment Status
    description: This endpoint helps in retrieving payment status for an order
  - name: Order Cancellation
    description: These endpoints help in performing order cancellation operations
  - name: Order
    description: >-
      An order is a customer's request to purchase one or more products from a
      shop or from a website. Order endponts let merchants get order details,
      create, update, and delete orders.
  - name: Order Attribute
    description: These endpoints help in performing attribute operations for an order
  - name: Order Return
    description: These endpoints help in performing order Return operations
  - name: Cross Border
    description: >-
      Cross Border service provides capabilities related to orders that have
      international shipping. These endpoints help in performing cross border
      operations.
  - name: BackOrder PreOrder Reservation
    description: >-
      These Endpoints help in performing BackOrder PreOrder Reservation
      operations
  - name: Configuration
    description: >-
      These endpoints help in performing CRUD operations on tenant
      configurations
  - name: Target Configuration
    description: >-
      These endpoints help in performing CRUD operations on Target
      configurations
  - name: Fraud Configuration
    description: These endpoints help in performing CRUD operations on Fraud configurations
  - name: Fraud
    description: These endpoints help in managing fraud release and cancel operation
  - name: Export
    description: These endpoints help in performing export operations
  - name: Inventory Network
    description: >-
      Network refers to a group of locations having a group of SKUs in each
      location. Network endpoints let you read, create, and manage an
      inventory-network by location, brand, or any other custom attributes.
  - name: Inventory
    description: >-
      These endpoints let you read, create and bulk update inventory across all
      locations.
  - name: Inventory Upload Log
    description: These endpoints let you view the record of the inventory uploads.
  - name: Inventory Bulk Operation
    description: >-
      Bulk Operation endpoints let you upload and download inventory details, in
      bulk, using a  CSV file to and from AWS (Amazon Web Service) server
      presigned S3 URL that is generated from the Order service.
  - name: Inventory Attribute
    description: >-
      Attribute refers to a set of characteristics that define inventory.
      Attribute endpoints let you create, read, update, and delete inventory
      attributes at any hierarchy level (location, SKU, item, channel) or at
      counter level.
  - name: Inventory Counter
    description: >-
      Counter refers to inventory positions such as, available, in-transit,
      on-hand, or other custom positions. These endpoints let you read, update,
      and create custom counters that suit your business use case.
  - name: Invoice
    description: These endpoints help in generating the invoices
  - name: List
    description: To create and manage lists
  - name: Location
    description: Location endpoints let you create, read, update, and delete location.
  - name: Location Attribute
    description: >-
      Location attribute endpoints let you create, read, update, and delete
      location attributes. These location attributes are used while creating or
      updating locations. When the attribute is configured  as required, it is
      mandatory to add the attribute while creating location.
  - name: Shipment
    description: To provides real time update of shipments
  - name: Shipping Method
    description: Endpoints to perform operations related to shipping methods
  - name: Webhook
    description: >-
      These endpoints help in performing CRUD operations on webhook
      subscriptions
paths:
  /inventory:
    get:
      tags:
        - Inventory
      summary: Get inventories
      description: >-
        Retrieves a paginated list of inventories by network, and at different
        locations.
      operationId: getInventories
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - name: inventorySearchModel
          in: query
          required: false
          schema:
            type: object
            description: >-
              This object contains all the filtering criteria based on which
              inventories are searched
            properties:
              skus:
                description: List of SKUs for which the inventory are to be retrieved
                type: array
                items:
                  type: string
                  example:
                    - SKU00025
                    - SKUfhera
                    - SKUoqiwd
              itemIds:
                description: List of item IDs for which the inventory are to be retrieved
                type: array
                items:
                  type: integer
                  format: int64
                  example:
                    - 4225678911
                    - 4225678922
                    - 4225678933
              channels:
                description: List of channels
                type: array
                items:
                  type: string
                  example:
                    - 12
              locationNums:
                description: >-
                  List of inventory location numbers. Location number is used to
                  identify the warehouse or location where the inventory is kept
                type: array
                items:
                  type: integer
                  format: int32
                  example:
                    - 473746
                    - 473747
        - name: inventoryNetworkSearchModel
          in: query
          required: false
          schema:
            type: object
            description: >-
              This object contains filtering criteria that help to search
              inventory by network
            properties:
              skus:
                description: List of SKUs for which the inventory are to be retrieved
                type: array
                items:
                  type: string
                  example:
                    - SKU00025
                    - SKUfhera
                    - SKUoqiwd
              networkCodes:
                type: array
                description: >-
                  Codes associated with networks in which inventory of the SKUs
                  are to be retrieved
                items:
                  type: string
                  example:
                    - DC
              channels:
                description: List of channels
                type: array
                items:
                  type: string
                  example:
                    - 12
        - name: paginationQueryModel
          in: query
          required: false
          schema:
            type: object
            description: >-
              This object represents the process of separating data into
              different pages
            properties:
              limit:
                description: >-
                  Number of records returned on a single page, default is 10 if
                  limit is not specified
                type: integer
                format: int32
              offset:
                description: >-
                  Number of records you wish to skip before selecting records,
                  default is 0 if not specified
                type: integer
                format: int64
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  pagination:
                    type: object
                    description: >-
                      This object represents the process of separating data into
                      different pages
                    properties:
                      total:
                        description: Total number of records
                        type: integer
                        format: int64
                        example: 100
                      limit:
                        type: integer
                        description: Number of records returned on a single page
                        format: int32
                        example: 10
                      offset:
                        description: Number of records skipped before selecting the records
                        type: integer
                        format: int64
                        example: 0
                  inventory:
                    type: array
                    items:
                      type: object
                      properties:
                        virtualCounters:
                          description: >-
                            View quantity of inventory, based on pre configured
                            value. For example, 'availableToPurchase' can be a
                            custom attribute configured by merchants.
                          type: object
                          example:
                            availableToPurchase: 10
                        id:
                          description: Inventory ID
                          type: string
                          example: 62272e917b12209e68751d94
                        sku:
                          description: SKU of  the item
                          type: string
                          example: SKU00025
                        itemId:
                          description: Item ID for which inventory is updated
                          type: integer
                          format: int64
                          example: 4225678911
                        locationNum:
                          description: >-
                            Location number is used to identify the warehouse or
                            location where the inventory is kept
                          type: integer
                          format: int32
                          example: 473746
                        channelId:
                          description: >-
                            Sales channel ID. This field is used to identify
                            where the business operations are being held.
                          type: string
                          example: 12
                        vendorId:
                          description: Vendor ID
                          type: string
                          example: vendor123
                        leadTime:
                          description: >-
                            The amount of time between when a purchase order is
                            placed to replenish products and when the order is
                            received in the warehouse
                          type: string
                          example: 1234
                        inventoryType:
                          description: Type of inventory
                          type: string
                          example: Safety stock
                        infiniteInventory:
                          description: >-
                            Infinite inventory flag.<br /> `true` indicates that
                            the inventory can be consumed any number of times as
                            per need<br />`false` indicates that the inventory
                            cannot be used infinitely, and has a limit to be
                            consumed
                          type: boolean
                          example: true
                        counters:
                          description: >-
                            Inventory counter (also known as inventory position)
                            configured by the merchant
                          type: object
                          example:
                            on-hand: 10
                        attributes:
                          description: >-
                            Custom inventory attributes configured by the
                            merchant
                          type: object
                          example:
                            buy online, pick up in-store (bopis): true
        '400':
          description: Client Error
          content:
            application/json:
              schema:
                description: Client error details
                type: object
                properties:
                  message:
                    description: Human-readable error description
                    type: string
                    example: Invalid request payload or parameter
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                description: Server error details
                type: object
                properties:
                  message:
                    description: Human-readable error description
                    type: string
                    example: >-
                      An internal error occurred. If the issue persists please
                      contact support@fabric.inc.
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````